FOREIGN_SUNRAS_WRITE_RGB(3)

EXPERIMENTAL_FUNC
foreign_sunras_write_rgb - Write a TrueColor image to a channel in Sun rasterfile format.

SYNOPSIS
#include <karma_foreign.h>

flag foreign_sunras_write_rgb

(Channel channel, CONST unsigned char *image_red, CONST unsigned char *image_green, CONST unsigned char *image_blue, uaddr *hoffsets, uaddr *voffsets, unsigned int width, unsigned int height, CONST unsigned short *cmap_red, CONST unsigned short *cmap_green, CONST unsigned short *cmap_blue, unsigned int cmap_stride)

DESCRIPTION
Write a TrueColor image to a channel in Sun rasterfile format.

channel
    The channel to write to. The channel is not flushed.

red_image
    The red image data.

green_image
    The green image data.

blue_image
    The blue image data.

hoffsets
    The array of horizontal byte offsets.

voffsets
    The array of vertical byte offsets.

width
    The width of the image.

height
    The height of the image.

cmap_red
    The red component colourmap entries. 256 entries required. If this is NULL a linear mapping is assumed.

cmap_green
    The green component colourmap entries. 256 entries required. If this is NULL a linear mapping is assumed.

cmap_blue
    The blue component colourmap entries. 256 entries required. If this is NULL a linear mapping is assumed.

cmap_stride
    The stride (in unsigned shorts) between colourmap values.

RETURN VALUE
TRUE on succes, else FALSE.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/